Subject: Re: [Qemu-devel] tap devices not receiving packets from a bridge

From: Peter Lieven <[email-masked]>
Date: Thu, 16 May 2013 10:47:02 +0200

Am 16.05.2013 10:40, schrieb Michael S. Tsirkin:
> On Thu, May 16, 2013 at 09:20:55AM +0100, Nicholas Thomas wrote:
>> Hi,
>>
>> On Thu, 2013-05-16 at 09:27 +0300, Michael S. Tsirkin wrote:
>>> On Thu, May 16, 2013 at 09:24:05AM +0300, Michael S. Tsirkin wrote:
>>>> Is this with or without vhost-net in host?
>>>
>>> never mind, I see it's without.
>>> Try to enable vhost-net (you'll have to switch to -netdev syntax
>>> for that to work) and see if this help.
>>> If it does it's likely a qemu bug if not probably a guest bug.
>>
>> Switching to -netdev is non-trivial for me, unfortunately.
> 
> Interesting. Why is that?
> 
>> Anyway, it's
>> definitely a qemu bug - it happens on kernels 3.2 and 3.9 with 1.4.1,
>> but doesn't happen with qemu 0.15.0 or 1.5.0rc1.
>>
>> I'll have a dig through git to see if I can identify the patch that
>> resolves it. It feels-like qemu sometimes stops reading from the tap
>> file descriptor between ipxe exiting and the linux kernel bringing up
>> the network interface, and never recovers from that.
>>
>> /Nick
> 
> You can try to bisect, yes.
> 

It would be good to bisect this. I would appreciate it. I have a similar problem with rtl8139 (without vhost-net), but I was unable
to reproduce yet.

Thanks,
Peter